<div class="signin-wrapper">
    <form  class="form" [formGroup]="signupForm" (ngSubmit)="onSubmit()">
        <img src="../../../../assets/images/avatar2.png" alt="">
        <h2>SignUp</h2>
        <div class="input-group">
            <input 
            type="text"
             name="username" 
             id="username" 
             formControlName="username"
             >
             <span *ngIf="!signupForm.get('username')?.valid && signupForm.get('username')?.touched" >Te rog intordu
                un username valid!</span>
            <label for="username" minLength="1" maxLength="3">User name</label>
        </div>
        <div class="input-group">
            <input 
            type="text" 
            name="lastname" 
            id="lastname"
            formControlName="lastname" 
            >
            <span *ngIf="!signupForm.get('lastname')?.valid && signupForm.get('lastname')?.touched">Introdu un nume valid!</span>
            <label for="lastname">Nume</label>
        </div>
        <div class="input-group">
            <input 
            type="text" 
            name="firstname" 
            id="firstname" 
            formControlName="firstname"
            >
            <span *ngIf="!signupForm.get('firstname')?.valid && signupForm.get('firstname')?.touched">Introdu un nume valid!</span>
            <label for="firstname">Prenume</label>
        </div>
        <div class="input-group">
            <input 
            type="number" 
            name="age" 
            id="age" 
            formControlName="age"
            >
            <span *ngIf="!signupForm.get('age')?.valid && signupForm.get('age')?.touched">Introdu o varsta reala!</span>
            <label for="age">Varsta</label>
        </div>
        <div class="radio" *ngFor="let gender of genders">
            <label>
                <input 
                    type="radio" 
                    formControlName="gender"
                    [value]="gender" 
                />{{ gender }}
            </label>
        </div>
        <div class="input-group">
            <!-- TODO Find a way so Email label should not colapse on the form when a invalid mail is uses -->
            <input 
            type="text" 
            placeholder="              ex. @gmail.com" 
            id="email"
            name="email"
            formControlName="email" 
            >
            <span *ngIf="!signupForm.get('email')?.valid && signupForm.get('email')?.touched">Introdu un email valid!</span>
            <label for="email">Email</label>
        </div>
        <div class="input-group">
            <input 
            type="password" 
            name="password" 
            id="password" 
            formControlName="password"
            >
            <span *ngIf="!signupForm.get('password')?.valid && signupForm.get('password')?.touched">Introdu o paraola valida care sa contina 6 caractere minim!</span>
            <label for="password">Password</label>
        </div>
        <input type="submit" value="Signin" class="submit-btn">
        <a href="#" class="signup"></a>
    </form>
</div>